Index: ddccontrol/src/gnome-ddcc-applet/GNOME_ddcc-applet.server.in.in
===================================================================
--- ddccontrol.orig/src/gnome-ddcc-applet/GNOME_ddcc-applet.server.in.in
+++ ddccontrol/src/gnome-ddcc-applet/GNOME_ddcc-applet.server.in.in
@@ -2,7 +2,7 @@
 
 <oaf_server iid="OAFIID:GNOME_ddcc-applet_Factory"
             type="exe"
-            location="@PKGLIBDIR@/ddcc-applet">
+            location="@appletdir@/ddcc-applet">
 
         <oaf_attribute name="repo_ids" type="stringv">
                 <item value="IDL:Bonobo/GenericFactory:1.0"/>
Index: ddccontrol/src/gnome-ddcc-applet/Makefile.am
===================================================================
--- ddccontrol.orig/src/gnome-ddcc-applet/Makefile.am
+++ ddccontrol/src/gnome-ddcc-applet/Makefile.am
@@ -6,9 +6,10 @@ DDCC_LDADD = ../lib/libddccontrol.la
 
 EXTRA_DIST = GNOME_ddcc-applet.server.in.in GNOME_ddcc-applet.xml
 
-pkglib_PROGRAMS = ddcc-applet
-ddcc_applet_SOURCES = ddcc-applet.c ddcc-applet.h
+applet_PROGRAMS = ddcc-applet
+appletdir = $(libexecdir)
 
+ddcc_applet_SOURCES = ddcc-applet.c ddcc-applet.h
 ddcc_applet_LDADD = $(GNOME_LDFLAGS) $(DDCC_LDADD)
 AM_CFLAGS = $(GNOME_CFLAGS) '-DPKGDATADIR="$(pkgdatadir)"'
 
@@ -18,10 +19,11 @@ serverdir       = $(libdir)/bonobo/serve
 server_in_files = GNOME_ddcc-applet.server.in
 server_DATA     = $(server_in_files:.server.in=.server)
 
-$(server_in_files): $(server_in_files:.server.in=.server.in.in)
-	sed -e "s|\@PKGLIBDIR\@|$(pkglibdir)|" $< > $@
+$(server_in_files): $(server_in_files:.server.in=.server.in.in) Makefile
+	$(AM_V_GEN)sed \
+	    -e "s|\@appletdir\@|$(appletdir)|" \
+	    $< > $@
 
 CLEANFILES = $(server_in_files) $(server_DATA)
 
 @INTLTOOL_SERVER_RULE@
-
